
From: Mikael Pettersson <mikpe@user.it.uu.se>

Fix

drivers/net/arcnet/arcnet.c: In function 'release_arcbuf':
drivers/net/arcnet/arcnet.c:256: warning: operation on 'i' may be undefined
drivers/net/arcnet/arcnet.c: In function 'get_arcbuf':
drivers/net/arcnet/arcnet.c:292: warning: operation on 'i' may be undefined

warnings from gcc4 in arcnet.c.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/arcnet/arcnet.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/net/arcnet/arcnet.c~drivers-net-arcnet-arcnetc-gcc4-fixes drivers/net/arcnet/arcnet.c
--- 25/drivers/net/arcnet/arcnet.c~drivers-net-arcnet-arcnetc-gcc4-fixes	2005-03-15 22:19:15.000000000 -0800
+++ 25-akpm/drivers/net/arcnet/arcnet.c	2005-03-15 22:19:15.000000000 -0800
@@ -253,7 +253,7 @@ static void release_arcbuf(struct net_de
 	BUGLVL(D_DURING) {
 		BUGMSG(D_DURING, "release_arcbuf: freed #%d; buffer queue is now: ",
 		       bufnum);
-		for (i = lp->next_buf; i != lp->first_free_buf; i = ++i % 5)
+		for (i = lp->next_buf; i != lp->first_free_buf; i = (i+1) % 5)
 			BUGMSG2(D_DURING, "#%d ", lp->buf_queue[i]);
 		BUGMSG2(D_DURING, "\n");
 	}
@@ -289,7 +289,7 @@ static int get_arcbuf(struct net_device 
 
 	BUGLVL(D_DURING) {
 		BUGMSG(D_DURING, "get_arcbuf: got #%d; buffer queue is now: ", buf);
-		for (i = lp->next_buf; i != lp->first_free_buf; i = ++i % 5)
+		for (i = lp->next_buf; i != lp->first_free_buf; i = (i+1) % 5)
 			BUGMSG2(D_DURING, "#%d ", lp->buf_queue[i]);
 		BUGMSG2(D_DURING, "\n");
 	}
_
